<?php

/**
 * @file
 * Contains \Drupal\bootstrap_colors\Form\ColorForm.
 */

namespace Drupal\bootstrap_colors\Form;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;

class ColorForm extends FormBase {
  
  /**
   * {@inheritdoc}.
   */
  public function getFormId() {
    return 'bootstrap_colors_color_form';
  }
  
  /**
   * {@inheritdoc}.
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $form['#attributes']['class'][] = 'clearfix';
    $form['primary_shade'] = array(
     '#type' => 'textfield',
     '#title' => t('Primary shade'),
     '#size' => 20,
     '#maxlength' => 7,
     '#attributes' => array('id' => array('primary-shade'), 'class' => array('white')),
     '#required' => TRUE,
    );
    $form['primary_light'] = array(
     '#type' => 'textfield',
     '#title' => t('Primary light'),
     '#size' => 20,
     '#maxlength' => 7,
     '#attributes' => array('id' => array('primary-light'), 'class' => array()),
     '#required' => TRUE,
    );
    $form['primary_dark'] = array(
     '#type' => 'textfield',
     '#title' => t('Primary dark'),
     '#size' => 20,
     '#maxlength' => 7,
     '#attributes' => array('id' => array('primary-dark'), 'class' => array('white')),
     '#required' => TRUE,
    );
    $form['accent_shade'] = array(
     '#type' => 'textfield',
     '#title' => t('Accent shade'),
     '#size' => 20,
     '#maxlength' => 7,
     '#attributes' => array('id' => array('accent-shade'), 'class' => array('white')),
     '#required' => TRUE,
    );
    $form['accent_light'] = array(
     '#type' => 'textfield',
     '#title' => t('Accent light'),
     '#size' => 20,
     '#maxlength' => 7,
     '#attributes' => array('id' => array('accent-light'), 'class' => array()),
     '#required' => TRUE,
    );
    $form['accent_dark'] = array(
     '#type' => 'textfield',
     '#title' => t('Accent dark'),
     '#size' => 20,
     '#maxlength' => 7,
     '#attributes' => array('id' => array('accent-dark'), 'class' => array('white')),
     '#required' => TRUE,
    );
    $form['save'] = array(
      '#type' => 'submit',
      '#value' => $this->t('Save'),
    );
    $form['cancel'] = array(
      '#type' => 'button',
      '#value' => $this->t('Cancel'),
      '#attributes' => array('class' => array('btn-secundary', 'btn')),
      '#submit' => array('_bootstrap_colors_cancel_submit'),
    );
    
    return $form;
  }
  
  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $primary_shade = $form_state->getValue('primary_shade');
    $primary_light = $form_state->getValue('primary_light');
    $primary_dark = $form_state->getValue('primary_dark');
    $accent_shade = $form_state->getValue('accent_shade');
    $accent_light = $form_state->getValue('accent_light');
    $accent_dark = $form_state->getValue('accent_dark');
    $body_bg = "white";
    $body = '#343a40';
    $h1 = '#343a40';
    $h2 = '#343a40';
    $h3 = '#343a40';

    $config->set('bootstrap_barrio_enable_color', TRUE)->save();
    $config->set('bootstrap_barrio_base_primary_color', $accent_shade)->save();
    $config->set('bootstrap_barrio_base_secondary_color', $primary_shade)->save();
    $config->set('bootstrap_barrio_body_color', $body)->save();
    $config->set('bootstrap_barrio_body_bg_color', $body_bg)->save();
    $config->set('bootstrap_barrio_h1_color', $h1)->save();
    $config->set('bootstrap_barrio_h2_color', $h2)->save();
    $config->set('bootstrap_barrio_h3_color', $h3)->save();
  }

  private function _bootstrap_colors_cancel_submit() {
    location.reload();
  }

}
